<?php
/*
Plugin Name: Rooster Job Board
Description: Integrate your Rooster job board with ease
Author: Rooster Technology
*/

 add_action( 'wp_enqueue_scripts', 'enqueue_rooster_script_styles' );

function enqueue_rooster_script_styles() {
      wp_enqueue_style( 'rooster-style', plugin_dir_url(__FILE__).'css/rooster-wp.css');
      wp_enqueue_script( 'rooster-script','https://roostercdn.s3-ap-southeast-1.amazonaws.com/rooster.min.js');
}


add_shortcode( 'rooster', 'rooster_portal_shortcode' );
function rooster_portal_shortcode($atts) {
    $companyId =  isset($atts['companyid']) ? esc_attr($atts['companyid']) :  null;
    $customClass =  isset($atts['customclass']) ? esc_attr($atts['customclass']) :  null;

    if(!$companyId){
        return  "";
    }


    $roosterHTML =  "";
    
    if($customClass){
        $roosterHTML .="<div id='rooster' class='". $customClass ."'></div>";
    }else{
        $roosterHTML .="<div id='rooster'></div>";
    }

    $roosterHTML .=  "<script>const rooster = new Rooster('#rooster',". $companyId . " );rooster.setup();</script>";

    return $roosterHTML;
    
}
